com.dlsc.flexgantt.swing.selector

## Enum Selector.Location

- java.lang.Object
- - java.lang.Enum<Selector.Location>
  - - com.dlsc.flexgantt.swing.selector.Selector.Location

- All Implemented Interfaces:
    Serializable, Comparable<Selector.Location>
  Enclosing class:
    Selector

      public static enum Selector.Location
      extends Enum<Selector.Location>

  An enumator used for indicating where the selector window will be shown. The location is relative to the parent component passed to the selector in the constructor.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOVE` An enumerator value used for indicating that the selector window will show up above its parent component.
    `BELOW` An enumerator value used for indicating that the selector window will show up below its parent component.
    `LEFT` An enumerator value used for indicating that the selector window will show up to the left of its parent component.
    `RIGHT` An enumerator value used for indicating that the selector window will show to the right of its parent component.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Selector.Location` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Selector.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABOVE

          public static final Selector.Location ABOVE

      An enumerator value used for indicating that the selector window will show up above its parent component.
      Since:
        1.0

    - #### BELOW

          public static final Selector.Location BELOW

      An enumerator value used for indicating that the selector window will show up below its parent component.
      Since:
        1.0

    - #### LEFT

          public static final Selector.Location LEFT

      An enumerator value used for indicating that the selector window will show up to the left of its parent component.
      Since:
        1.0

    - #### RIGHT

          public static final Selector.Location RIGHT

      An enumerator value used for indicating that the selector window will show to the right of its parent component.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static Selector.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Selector.Location c : Selector.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Selector.Location valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.